/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : jeudi 26 avril 2007 - 10h54
		* AUTHOR       : gilles bailly ( gilles.bailly@enst.fr )
			* FILENAME     : Demo.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//Demo.h
#ifndef __DEMO__
#define __DEMO__

#include <string>
#include <vector>
#include <QWidget>
#include <QRadioButton>
#include <QString>
#include <QLabel>
class RadialMenu;
class Demo;

//====================
class RadioButtonMenu : public QRadioButton{
	Q_OBJECT
public:
	static RadioButtonMenu* createRadioButtonMenu(const QString& text="", QWidget* parent=0, RadialMenu* m=0);
	static std::vector<RadioButtonMenu*> radioButtonMenu;
	static Demo* demo;
	
	virtual ~RadioButtonMenu();

public slots:
	virtual void active();
	virtual void desactive();
	

private:
	RadioButtonMenu(const QString& text ="", QWidget* parent=0, RadialMenu* m=0);
	RadioButtonMenu(const RadioButtonMenu&);
	RadialMenu* m;


};

//===============
class Demo : public QWidget{
	Q_OBJECT
public:
	Demo(QWidget* parent=0);
	virtual ~Demo();
	virtual void mousePressEvent(QMouseEvent *e);
	virtual void paintEvent( QPaintEvent* e );
	
public slots:	
	virtual void updateCommandName( int commandId );
	
public:	
	RadialMenu* menu;
	QLabel labCommand;
	std::string* labels;
	std::vector< int > tabIdItem3;
};

#endif

