/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : vendredi 01 juin 2007 - 17h27
		* AUTHOR       : gilles bailly ( gilles.bailly enst.fr )
			* FILENAME     : MarkDrawing.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
#ifndef MARKDRAWING_H
#define MARKDRAWING_H

class QPainter;
class QObject;


class MarkDrawing {

public:
static int orientation(int numItem);
static int type( int numItem);
static int sens(int numItem);
static int getNumItem( int orientation, int type, bool sens);

static void drawMark(QPainter& painter, int x, int y, int l, int numItem);
static void drawSimpleMark(QPainter& painter, int x, int y, int l, int numItem);
static void drawCourbure(QPainter& painter, int x, int y, int l, int numItem);
static void drawPigTail(QPainter& painter, int x , int y , int l , int numItem);
static void drawInflexion(QPainter& painter, int x, int y, int l, int numItem);
static void drawPie(QPainter & painter, int x, int y, int l, int nbSector);
static void drawCardinal(QPainter & painter, int x, int y, int l, int nbCardinal);

private:
MarkDrawing( QObject* = 0 );
//~MarkDrawing();


};
//
#endif // MARKDRAWING_H
