/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : jeudi 26 avril 2007 - 10h53
		* AUTHOR       : gilles bailly ( gilles.bailly@enst.fr )
			* FILENAME     : mainwindow.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/


#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class QRadioButton;
class QTabWidget;
class QApplication;
class RadialMenu;
class Demo;


class MainWindow : public QMainWindow
{
	Q_OBJECT
public:
	MainWindow();
	MainWindow(QApplication* app);
	
	QWidget* getDemoPanel();
	virtual void closeEvent(  QCloseEvent * event );
	
public slots:
	void currentChanged(int index);
	
private:
  
	Demo *demo;
	QApplication* app;
	
	
	
};

#endif // MAINWINDOW_H
