/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : jeudi 26 avril 2007 - 11h43
		* AUTHOR       : gilles bailly ( gilles.bailly@enst.fr )
			* FILENAME     : RadialSector.h
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//RadialSector.h
#ifndef __RADIAL_SECTOR__
#define __RADIAL_SECTOR__

#include <QWidget>
#include <vector>

class RadialMenu;

class RadialSector:public QWidget{
Q_OBJECT
//===============
public:
static std::vector<QPointF> position;

friend class RadialMenu;
RadialSector(const QString& text,  QWidget* parent = 0, Qt::WindowFlags f=0);
virtual ~RadialSector();

virtual int menuDepth()const;
virtual int getId();
virtual int itemWidth();
virtual int itemHeight();
virtual bool itemContains(QPoint p);
virtual void itemResize(int w, int h);
virtual int itemX();
virtual int itemY();
virtual void moveItem( int x, int y );
virtual QString text();
virtual void setItemDown(bool b);
virtual void initialize();
//=================
protected:
virtual void setId(int _id);

virtual void paintEvent(QPaintEvent* e);
virtual bool eventFilter(QObject* qobject, QEvent* e);

//==================
int id;
QString name;
QWidget* mainWidget;

};

#endif

